Loading...
Searching...
No Matches
ap::raw_vector< T > Class Template Reference

`#include <ap.h>`

## Public Member Functions

| raw_vector (T *Data, int Length, int Step)
T * | GetData ()
| raw_vector (T *Data, int Length, int Step)
T * | GetData ()
Public Member Functions inherited from ap::const_raw_vector< T >
| const_raw_vector (const T *Data, int Length, int Step)
const T * | GetData () const
int | GetLength () const
int | GetStep () const
| const_raw_vector (const T *Data, int Length, int Step)
const T * | GetData () const
int | GetLength () const
int | GetStep () const

## Additional Inherited Members

Protected Attributes inherited from ap::const_raw_vector< T >
T * | pData
int | iLength
int | iStep

## Detailed Description

template<class T>
class ap::raw_vector< T >

Definition at line 167 of file ap.h.

## Constructor & Destructor Documentation

## raw_vector() [1/2]

template<class T>

ap::raw_vector< T >::raw_vector | ( | T * | Data,
|  | int | Length,
|  | int | Step )

inline

Definition at line 170 of file ap.h.

:const_raw_vector<T>(Data, Length, Step){};
ap::const_raw_vector::const_raw_vector
const_raw_vector(const T *Data, int Length, int Step)
Definition ap.h:139
ap::raw_vector
Definition ap.h:168

## raw_vector() [2/2]

template<class T>

ap::raw_vector< T >::raw_vector | ( | T * | Data,
|  | int | Length,
|  | int | Step )

inline

Definition at line 179 of file svd_si.h.

:const_raw_vector<T>(Data, Length, Step){};

## Member Function Documentation

## GetData() [1/2]

template<class T>

T * ap::raw_vector< T >::GetData | ( |  | ) |

inline

Definition at line 172 of file ap.h.

{ return const_raw_vector<T>::pData; };

## GetData() [2/2]

template<class T>

T * ap::raw_vector< T >::GetData | ( |  | ) |

inline

Definition at line 181 of file svd_si.h.

{ return const_raw_vector<T>::pData; };

The documentation for this class was generated from the following files:

- Singular/svd/libs/ap.h
- Singular/svd_si.h